QGIS Application - Bug report #13353
QGIS and gdal 2.0.0
2015-09-13 09:35 AM - John Evans

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No
Operating System: Mac Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21406
Description

Working through the training manual, | ran into trouble in section 14.7.3 attempting to "Join Attributes by Location". The resulting
shapefile had far too few columns, having appeared to have applied the "mean"” only to the X and Y columns of the join vector layer. When
trying to investigate the join vector layer a bit further, | found that the Fiona package was unable to read it, and the maintainer's github site
had gdal 2.0 compatibility as a known issue. As | use an up-to-date version of MacPorts, my 2.10.1 qgis installation was built on top of
gdal 2.0.0.

When | backed gdal down to 1.11-1 and rebuilt qgis, the "join attributes by location" then worked as expected (and Fiona's "fio" command
line utility was able to successfully dump the source shapefile's metadata as well).

The only ticket | found that seemed to raise the issue of gdal 2.0.0 was #12479, and it didn't quite seem to be the issue being encountered
here, but | could be wrong.

History

#1 - 2016-05-24 12:56 PM - Saber Razmjooei
- Status changed from Open to Feedback

Could you try with the latest master and report back?

#2 - 2016-06-12 12:44 PM - Even Rouault
- Status changed from Feedback to Closed

I've just tested with QGIS master (on Linux) and GDAL 2.1. Works fine
